View Issue Details

IDProjectCategoryView StatusLast Update
0000535CaseTalk ModelerUser Interfacepublic2019-10-14 10:01
ReporterBCP SoftwareAssigned ToBCP Software 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version 
Target Version9.8.0Fixed in Version9.8.0 
Summary0000535: Naming conventions
DescriptionSince only a few naming conventions go about in the wild, perhaps a configuration could be added to set a preference to enforce this. This naming convention should be for output only. This allows entering data the way you wish and uniformly present it everywhere else.

E.g.:
Object/Fact Types use CamelCase
Label Types use lowercase and underscores
TagsNo tags attached.
CaseTalk Edition

Relationships

parent of 0002244 resolvedBCP Software Preserve whitespace expressionparts 

Activities

BCP Software

BCP Software

2015-01-13 09:12

administrator   ~0000327

Reverse Engineering has some naming convention as well.
BCP Software

BCP Software

2019-10-14 10:01

administrator  

namingConventions.png (31,304 bytes)
namingConventions.png (31,304 bytes)

Issue History

Date Modified Username Field Change
2014-10-22 14:03 BCP Software New Issue
2014-10-22 14:03 BCP Software Status new => assigned
2014-10-22 14:03 BCP Software Assigned To => BCP Software
2015-01-13 09:12 BCP Software Note Added: 0000327
2016-01-20 13:00 BCP Software Category Interface => User Interface
2019-08-05 23:08 BCP Software Target Version Future => 9.8.0
2019-08-08 12:11 BCP Software Relationship added parent of 0002244
2019-08-12 10:27 BCP Software Status assigned => resolved
2019-08-12 10:27 BCP Software Resolution open => fixed
2019-08-12 10:27 BCP Software Fixed in Version => 9.8.0
2019-10-14 10:01 BCP Software File Added: namingConventions.png